<?php
$this->load->helper("url");
$d=array("tituloApp"=>"Nueva Historia Clinica","menu"=>"");

$this->parser->parse("html/page/v2/header",$d);
$this->parser->parse("html/page/v2/bar",$d);
$parse["menu"]=$this->load->view("html/page/v2/php/menuHClinica",$d,true);
$parse["tituloApp"]=!isset($tituloApp)?$d["tituloApp"]:$tituloApp;
$this->parser->parse("html/page/v2/navigation",$parse);
?>
<div class="modal fade" id="modNotaVenta" role="dialog" aria-hidden="true">
    <div class="modal-dialog modal-md" role="document">
        <div class="modal-content">
            <div class="modal-header">
                <h3 class="modal-title" id="">Importe de nota</h3>
<!--                 <button type="button" class="close" data-dismiss="modal" aria-label="Close"> -->
<!--                   <span aria-hidden="true">&times;</span> -->
<!--                 </button> -->
            </div>
            <!--aqui va la etiqueta form-->
                <div class="modal-body">
                    <div class="form-group">
                        <label>Importe total</label>
                        <input id="totalNota" class="form-control" placeholder="0.00">
                    </div>
                    <div class="form-group">
                        <label>Opciones</label>
                        <!--
                        <div class="row">
                            <div class="col-md-6">
                                <input type="checkbox" class="" style="vertical-align:top">
                                <span>Agregar a cuentas del paciente</span>
                            </div>
                            <div class="col-md-6">
                                <input class="form-control" placeholder="0.00">
                            </div>
                        </div>-->
                    </div>
                    <div class="checkbox">
                      <label>
                        <input id="chkCreditoPaciente" type="checkbox"> Agregar a cuentas del paciente
                      </label>
                    </div>
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-danger" data-dismiss="modal">Cerrar</button>
                    <button id="btnNotaVenta" class="btn btn-primary">Guardar</button>
                </div>
        </div>
    </div>
</div>
<div class="modal fade" id="modPaciente" tabindex="-1" role="dialog" aria-hidden="true">
    <div class="modal-dialog modal-lg" role="document">
        <div class="modal-content">
            <div class="modal-header">
                <h3 class="modal-title" id="tituloModal1">Pacientes</h3>
                <!--<button type="button" class="close" data-dismiss="modal" aria-label="close">
                  <span aria-hidden="true">&times;</span>
                </button>-->
            </div>
            <div class="modal-body">
                <table style="width: 100%" id="listPaciente" class="table table-bordered table-striped dt-responsive table-hover table-active">
                    <thead class="thead-dark">
                        <tr>
                            <th>Nombre Completo</th>
                            <th>Acciones</th>
                        </tr>
                    </thead>
                </table>
            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-danger" data-dismiss="modal">Cerrar</button>
            </div>
        </div>
    </div>
</div>
<div class="row">
	<div class="col-md-8 col-lg-8">
		<div class="box box-primary">
			<div class="box-header">
				<button type="button" id="btnHistoriasClinicas" class="btn btn-primary"><i class="fa fa-user fa-lg">&nbsp;</i>Ver Historias</button>
    		</div>
    		<?php echo form_open("historiaclinica/paciente/guardarHistoriaClinica",array("id"=>"formHistoriaClinica"))?>
    		<div class="box-body">
                <div class="form-group">
                    <label>Paciente</label>
                    <h4 class="text-primary" style="margin:0px;padding:0px"><a id="nombrePaciente" href="javascript:eventoPacientes()"><?=$nombrePaciente?></a></h4>
                </div>
    		    <?php
        		foreach ($listConcepto as $concepto)
        		{?>
        			<div class="form-group">
        				<div class="row">
        			<?php
        		    foreach ($concepto as $value) 
        		    {
        		        //echo $value["value"];
        		        $name="pos".$value["row"].$value["col"];
        		        echo "<div class='col-md-".$value["colw"]."'>";
        		        echo "    <label>".$value["label"]."</label>";
        		        if($value["typefield"]=="textarea"){
        		            echo "    <textarea value='".$value["value"]."' name='".$value["nombre"]."' id='pos".$value["row"].$value["col"]."' class='form-control'>".$value["value"]."</textarea>";
        		        }else{
        		          echo "    <input name='".$value["nombre"]."' id='pos".$value["row"].$value["col"]."' class='form-control'>";
        		        }
        		        echo "</div>";
        		        //agregar hidden para campo row y col
        		    }?>
        		    	</div>
        			</div>
        		<?php 
        		}
        		?>
    		</div>
    		<div class="box-footer">
    			<button <?=$encHistoriaAdd?"disabled='disabled'":"";?> id="btnGuardarHistoria" type="submit" class="btn btn-primary">Guardar</button>
    		</div>
    		<?php 
        	  echo form_close(); 
        	?>
		</div>
	</div>
    <div class="col-md-4 col-lg-4">
        <div class="box box-danger">
            <div class="box-header">
                <h4 class="text-primary"><a href="javascript:eventoPrevioNota('<?=$idEncHistoria?>')">Generar nota</a></h4>
            </div>
            <div class="box-body">
                <table id="listNotaPaciente" class="table table-bordered table-striped dt-responsive table-hover table-active">
                    <thead class="thead-dark">
                        <th>Folio</th>
                        <th>Total</th>
                    </thead>
                    <tbody>
                        <?php 
                        foreach ($listNota as $key => $nota){?>
                        <tr>
                            <td><?=$nota["serie"]."-".$nota["folio"]?></td>
                            <td><?=$nota["total"]?></td>
                        <?php 
                        }?>
                        </tr>
                    </tbody>
                </table>
            </div>
        </div>
    </div>
</div>
<?php 
$this->load->view("html/page/v2/prefooter");?>
<script>
var datosH=null,idPacienteActual=null,idEncHistoriaTmp=0,listNotaPaciente=null;
$(document).ready(function(){
	$("#formHistoriaClinica").submit(function(event){
	    event.preventDefault();

	    for(var i=0;i<datosH.length;i++)
	    {
	    	for(var j=0;j<datosH[i].length;j++)
	    	{
		    	var obj=datosH[i][j];
	    		datosH[i][j].value=$("#pos"+obj.row+obj.col).val();
		    	//console.log(datosH[i][j]);
	    	}
		    //console.log(datosH[i]
	    }
	    $.ajax({url:$(this).attr("action"),
	        data:{"listDetalle":btoa(JSON.stringify(datosH)),"idPaciente":idPacienteActual},
	        method:"POST",
	        dataType:"JSON",
	        cache:false,
	        success:function(res){
            if(res.res)
            {
                console.log(res);
                $("#btnGuardarHistoria").attr("disabled","disabled");
	        }
	        else
	        {
                //alert(res.message);
	        }
            alert(res.message);
        },error:function(res){
	          alert(res.responseText);
        }});
	});
	$.ajax({url:path+"/historiaclinica/paciente/getTemplate",
		data:{},
		method:"POST",
		dataType:"JSON",
		success:function(res){
			console.log(res.datos);
			datosH=res.datos;
			//recorrer todos los valores y agregar los values vacios
	  },error:function(res){
		  //console.log(res.responseText);
          console.log(res);
	  }});
    loadPacientes();
    $("#btnHistoriasClinicas").click(function(){
        $(location).attr("href",path+"historiaclinica/paciente/historiasClinicas");
    });
    listNotaPaciente = $("#listNotaPaciente").DataTable({
        "info":false,
        "paging":false,
        "searching":false,
        "ordering":false
    });
});
function loadPacientes()
{
    var listPaciente=$("#listPaciente").DataTable({
        "select":true,
        "destroy":true,
        "ajax":{
            "url":path+"pacientes/paciente/datosPaciente",
            "method":"POST",
            "dataSrc":function(res){
                //console.log(res.datos);
                return res.datos;
            },"error":function(res){
                alert(res.responseText);
            }
        },
        "columns":[{data:function(data){
                return (data.nombre+" "+data.appat+" "+data.apmat).trim();
            }},
            {data:function(data){
                //return data.idPaciente;
                //console.log(data);
                var f="seleccionarPaciente('"+btoa(data.nombre+" "+data.appat+" "+data.apmat)+"',"+data.idPaciente+")";
                return "<button onclick="+f+" class='btn btn-warning seleccionar-paciente'><i class='fa fa-hand-pointer-o'></i></button>";
                //return "<button class='btn btn-info btn-sm nuevo-registro' title='Nuevo registro' data-id='"+data.idBitacora+"'><i class='fa fa-file'></i></button>&nbsp;"+
                //"<button class='btn btn-success btn-sm editar-bitacora' data-id='"+data.idBitacora+"'><i class='fa fa-pencil'></i></button>&nbsp;<button class='btn btn-danger btn-sm'><i class='fa fa-trash'></i></button>&nbsp"+
                //"<button title='Registros' class='btn btn-warning btn-sm registros-bitacora' data-id='"+data.idBitacora+"'><i class='fas fa-book'></i></button>";
            }}
        ]
    });
    $('#listPaciente tbody').on( 'click', '.seleccionar-paciente', function () {
        //console.log( listPaciente.row( this ).data() );
    });
}
function eventoPacientes()
{
    $("#modPaciente").modal();
}
function seleccionarPaciente(nombre,idPaciente)
{
    //console.log($(el).parents("tr").data());
    idPacienteActual=idPaciente;
    $("#nombrePaciente").html(atob(nombre));
    $("#modPaciente").modal("hide");
}
function eventoPrevioNota(idEncHistoria)
{
    $("#modNotaVenta").modal();
    $("#totalNota").focus();
    $("#btnNotaVenta").attr("onclick","addNota('"+idEncHistoria+"')");
}
function addNota(idEncHistoria)
{
    var total=$("#totalNota").val();
    if(!isNaN(total))
    {
        if(total>=1){
            $.ajax({url:path+"historiaclinica/paciente/addNotaVentaHistoria",
                data:{"idEncHistoria":idEncHistoria,"total":total,"chkCreditoPaciente":$("#chkCreditoPaciente").prop("checked")},
                method:"POST",
                context:document.body,
                dataType:"JSON",
                success:function(res){
                    if(res.res)
                    {
                        addTblNota(res.nota);
                        alert(res.message);
                        $("#modNotaVenta").modal("hide");
                    }else{
                        Swal.fire({
                            icon: 'error',
                            title: 'Error',
                            text: 'Primero guarde la historia clinica'
                            //footer: '<a href="">Why do I have this issue?</a>'
                        });
                    }
                },error:function(res){
                    $(this).css("background-color","red");
                    console.log(res.responseText);
                }
            });
        }else{
            alert("Importe no válido");
        }
    }
    else{
        alert("Importe no válido");
        //guardarNota();
    }
}
function guardarNota()
{
    alert($("#chkCreditoPaciente").prop("checked"));
}
function addTblNota(item)
{
    listNotaPaciente.row.add([item.folio,item.total.toFixed(2)]).draw(false);
    //listNotaPaciente.row.add(item).draw();
    /*t.row.add( [
            counter +'.1',
            counter +'.2',
            counter +'.3',
            counter +'.4',
            counter +'.5'
        ] ).draw( false );*/
}
</script>
<?php
$this->load->view("html/page/v2/footer");
?>